## <img src="https://raw.githubusercontent.com/fybx/fybx/main/welcome.gif" width="20px" height="20px"/> welcome to my *unique* GitHub profile!

- Bachelor's in Computer Engineering at [Uludag University][uni]. Expected graduation June 2025.
- founder of [arbeit studio][as], a start-up developing turnkey IT solutions and websites.
- founder of Teknoloji ve Felsefe Topluluğu (lit. Technology and Philosophy Community), at my university.

Programming languages are nothing but tools, therefore I have varying degrees of expertise in different languages. Here's a few of the ones I've used:

- C#: Windows desktop applications with WinForms. A fully-featured [terminal emulator](https://en.wikipedia.org/wiki/Terminal_emulator), an [Assembly](https://en.wikipedia.org/wiki/Assembly_language)-inspired language parser, a [database](https://en.wikipedia.org/wiki/Database), a personal library manager, an experimental [Windows Command Prompt](https://en.wikipedia.org/wiki/Cmd.exe) replacement, a [Windows Shell](https://en.wikipedia.org/wiki/Windows_shell) replacement, an implementation of the [Vole machine](http://wyrd.hood.edu/~wcrum/it510/documents/VoleMachineLanguage.pdf) with code editor, in-RAM viewer, and many more.
- Python: a complete [RISC](https://en.wikipedia.org/wiki/Reduced_instruction_set_computer) [processor simulator](https://github.com/fybx/risc-mini) with an [instruction set architecture](https://en.wikipedia.org/wiki/Instruction_set_architecture) inspired by the [RISC-V](https://github.com/riscv/riscv-isa-manual/releases/tag/Ratified-IMAFDQC), a very easy to integrate [argument parser package](https://github.com/fybx/crispy) for CLI apps, a [Selenium](https://www.selenium.dev/) based [WhatsApp](https://www.whatsapp.com/) bulk messager, and many undocumented scripts to automate my workflows.
- C: basic [data structures](https://en.wikipedia.org/wiki/Data_structure), a [fan controller](https://github.com/fybx/rpi-fan-control) implementation for [Raspberry Pi](https://www.raspberrypi.org/) over [GPIO](https://en.wikipedia.org/wiki/General-purpose_input/output).
- Sass/SCSS: many online and offline websites, and a [framework](https://github.com/arbeitstudio/genesis) under [arbeit studio][as].
- HTML: I honestly love writing pure HTML instead of popular front-end frameworks.
- JavaScript and TypeScript: [ukeysuite](https://github.com/fybx/ukeysuite), a package for scraping and managing the course materials sharing platform of my university, [Uludag UKEY](https://ukey.uludag.edu.tr/); and also [the genesis framework](https://github.com/arbeitstudio/genesis).
- LaTeX: math notes, reports, letters, ... :^)

I can efficiently utilize Git, Mattermost, ClickUp, Trello, GitHub Projects and several other tools for team coordination, project management & business analysis. I'm experienced with Adobe Photoshop, Illustrator, InDesign, Photoshop Lightroom, and Figma for image manipulation, raster and vector graphic design. I prefer Figma for most of my planning and design workflows because I've completely transitioned from Windows to [Arch Linux](https://archlinux.org).

I've built and/or managed [React](https://react.dev/), [Next.js](https://nextjs.org/), [Flutter](https://flutter.dev/), [WinForms](https://en.wikipedia.org/wiki/Windows_Forms) projects.

My primary interests and research domains are: telecommunications, programming languages concept, processor design, information security, information systems design and DevOps.

## <img src="https://raw.githubusercontent.com/fybx/fybx/main/compass.webp" width="35px" height="35px"> let's connect

You can directly reach me from my [Twitter/X][llx], [Instagram][llinstagram] or [LinkedIn][lllinkedin] profile. Don't hesitate to DM me! For business or privacy-related reasons, e-mail me at [fyb@fybx.dev][llmail]. My PGP key (`244CB7EB`) is available on [my website][llwebsite]. Find me on other platforms with [Bento](https://bento.me/balaban).

[uni]: http://uludag.edu.tr "Website of my university"
[as]: https://arbeit.studio

[llmail]: mailto:fyb@fybx.dev "Send me an email!"
[llwebsite]: https://fybx.dev "My personal website"
[llbento]: https://bento.me/balaban
[llx]: https://x.com/fybalaban "My Twitter/X profile"
[lllinkedin]: https://linkedin.com/in/fybx "My LinkedIn profile"
[llinstagram]: https://instagram.com/ferityigitbalaban "My Instagram profile"
